# Uses of Interface
org.opensaml.saml.saml1.core.Subject

Packages that use Subject
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.
org.opensaml.saml.saml1.testing

## Uses of Subject in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return Subject
Modifier and Type
Method
Description
`Subject`
SubjectQuery.`getSubject()`
Get the subject.
`Subject`
SubjectStatement.`getSubject()`
Get the Subject of the statement.
Methods in org.opensaml.saml.saml1.core with parameters of type Subject
Modifier and Type
Method
Description
`void`
SubjectQuery.`setSubject(Subject subject)`
Set the subject.
`void`
SubjectStatement.`setSubject(Subject subject)`
Set the Subject of the statement.

## Uses of Subject in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Subject
Modifier and Type
Class
Description
`class`
`SubjectImpl`
Complete implementation of `Subject`.
Fields in org.opensaml.saml.saml1.core.impl declared as Subject
Modifier and Type
Field
Description
`private Subject`
SubjectQueryImpl.`subject`
Contains the Subject subelement.
`private Subject`
SubjectStatementImpl.`subject`
Contains the Subject subelement.
Methods in org.opensaml.saml.saml1.core.impl that return Subject
Modifier and Type
Method
Description
`Subject`
SubjectBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Subject`
SubjectBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Subject`
SubjectQueryImpl.`getSubject()`
Get the subject.
`Subject`
SubjectStatementImpl.`getSubject()`
Get the Subject of the statement.
Methods in org.opensaml.saml.saml1.core.impl with parameters of type Subject
Modifier and Type
Method
Description
`void`
SubjectQueryImpl.`setSubject(Subject sub)`
Set the subject.
`void`
SubjectStatementImpl.`setSubject(Subject sub)`
Set the Subject of the statement.

## Uses of Subject in org.opensaml.saml.saml1.profile.impl

Fields in org.opensaml.saml.saml1.profile.impl with type parameters of type Subject
Modifier and Type
Field
Description
`private final SAMLObjectBuilder<Subject>`
AddNameIdentifierToSubjects.`subjectBuilder`
Builder for Subject objects.
`private final SAMLObjectBuilder<Subject>`
AddSubjectConfirmationToSubjects.`subjectBuilder`
Builder for Subject objects.
`private final SAMLObjectBuilder<Subject>`
CopyNameIdentifierFromRequest.`subjectBuilder`
Builder for Subject objects.
Methods in org.opensaml.saml.saml1.profile.impl that return Subject
Modifier and Type
Method
Description
`private Subject`
AddNameIdentifierToSubjects.`getStatementSubject(SubjectStatement statement)`
Get the subject to which the name identifier will be added.
`private Subject`
AddSubjectConfirmationToSubjects.`getStatementSubject(SubjectStatement statement)`
Get the subject to which the confirmation will be added.
`private Subject`
CopyNameIdentifierFromRequest.`getStatementSubject(SubjectStatement statement)`
Get the subject to which the name identifier will be added.

## Uses of Subject in org.opensaml.saml.saml1.testing

Methods in org.opensaml.saml.saml1.testing that return Subject
Modifier and Type
Method
Description
`static Subject`
SAML1ActionTestingSupport.`buildSubject(String principalName)`
Builds a `Subject`.
Methods in org.opensaml.saml.saml1.testing with parameters of type Subject
Modifier and Type
Method
Description
`static Request`
SAML1ActionTestingSupport.`buildAttributeQueryRequest(Subject subject)`
Builds a `Request` containing an `AttributeQuery`.